Agent Governance Protocol
API ReferenceRegistry APIRevocations

Create revocation notice

POST
/agp/revocations

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agp/revocations" \  -H "Content-Type: application/json" \  -d '{    "type": "RevocationNotice",    "revocation_id": "string",    "issuer": "string",    "target_type": "CapabilityToken",    "target_id": "string",    "reason": "string",    "effective_at": "2019-08-24T14:15:22Z"  }'
{  "type": "RevocationNotice",  "revocation_id": "string",  "issuer": "string",  "target_type": "CapabilityToken",  "target_id": "string",  "reason": "string",  "effective_at": "2019-08-24T14:15:22Z",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}